package w83b.w83bBeans;



/*
 * @author jrgil 
 */
public class W83bDelegadosIncidenciasEqualsBean extends W83bDelegadosBean{
	/**
	 * 
	 */
	private static final long serialVersionUID = 6133830676392722848L;
	
	String tipo = "";//NOPMD	

	public String getTipo() {
		return tipo;
	}

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	/**
	 * equals.
	 *
	 * @param delegado the otros valores
	 * @return the object
	 */
	public boolean equals(Object delegado){
		if("sustituido".equals(this.tipo) && 
				(null!=super.getDniDelegado()&&
						null!=((W83bDelegadosBean)delegado).getDniSustituido()&&
						super.getDniDelegado().equals(((W83bDelegadosBean)delegado).getDniSustituido()))				
			){
			return true;
		}else if((null!=super.getDniDelegado()&&
				null!=((W83bDelegadosBean)delegado).getDniDelegado()&&
				super.getDniDelegado().equals(((W83bDelegadosBean)delegado).getDniDelegado())				
						)				
		){
			return true;
		}
		return false;
	}	
}
